﻿using System.Globalization;

namespace ELTE.Calculator.Device
{
    /// <summary>
    /// Eszköztulajdonságok.
    /// </summary>
    public interface IDeviceProperties
    {
        /// <summary>
        /// Tájolás lekérdezése.
        /// </summary>
        DeviceOrientation DeviceOrientation { get; }

        /// <summary>
        /// Aktuális nyelvi környezet lekérdezése.
        /// </summary>
        CultureInfo GetCurrentCultureInfo();

        /// <summary>
        /// Localizáció beállítása.
        /// </summary>
        /// <param name="cultureInfo">A nyelvi környezet.</param>
        void SetLocale(CultureInfo cultureInfo);
    }
}
